 /********************************************************/
/*
/*      Colors CSS
/*
/********************************************************/
	
	/******************************/
	/* Text color override
	/******************************/
	body .has-text-color.has-text-color 		{ color: var(--wp--preset--color--text) !important; }
	body .has-text-color.has-background-color 	{ color: var(--wp--preset--color--background) !important; }
	body .has-text-color.has-accent-color 		{ color: var(--wp--preset--color--accent) !important; }
	body .has-text-color.has-accent-2-color 	{ color: var(--wp--preset--color--accent-2) !important; }
	body .has-text-color.has-white-color 		{ color: var(--wp--preset--color--white) !important; }
	body .has-text-color.has-off-black-color 	{ color: var(--wp--preset--color--off-black) !important; }
	
	/******************************/
	/* BG color adaptation
	/******************************/
	:is(
		.has-white-background-color,
		.has-background-background-color,
		.has-accent-2-background-color,
	) {
		color : var(--wp--preset--color--text);
	}
	
	:is(
		.has-off-black-background-color, 
		.has-accent-background-color,
		.has-text-background-color,
	) {
		color : var(--wp--preset--color--background);
	}
	
	.editor-styles-wrapper :is(
		.has-white-background-color,
		.has-background-background-color,
		.has-accent-2-background-color,
	) {
		color : var(--wp--preset--color--text);
	}

	.editor-styles-wrapper :is(
		.has-off-black-background-color, 
		.has-accent-background-color,
		.has-text-background-color,
	) {
		color : var(--wp--preset--color--background);
	}